SETLEDS(1)

NAME
setleds - set the keyboard leds

SYNOPSIS
setleds [ {+|-}num ] [ {+|-}caps ] [ {+|-}scroll ]

DESCRIPTION

Without arguments, setleds prints the current led settings. With arguments, it sets or clears the indicated leds (and leaves the others unchanged). The settings before and after the change are reported.

The led settings are specific for each VT (and the VT corresponding to stdin is used). One might use setleds in /etc/rc to define the initial state of NumLock, e.g. by
for t in 1 2 3 4 5 6 7 8; do
setleds -num < /dev/tty$t
done

OPTIONS

-num +num
    Clear or set NumLock. (At present, the NumLock setting influences the interpretation of keypad keys. Pressing the NumLock key complements the NumLock setting.)

-caps +caps
    Clear or set CapsLock. (At present, the CapsLock setting complements the Shift key when applied to letters. Pressing the CapsLock key complements the CapsLock setting.)

-scroll +scroll
    Clear or set ScrollLock. (At present, this does not do anything but show a light. However, pressing the ScrollLock key (or ^S/^Q) stops/starts console output, and sets/clears the ScrollLock led.)

BUGS
Maybe the lights should be independent of any kernel function?

SEE ALSO
loadkeys(1)